/* ===========================================================================
   file    : proed4w/setup/RegisterOcx.p
   by      : Jurjen
   purpose : register messageblaster OCX, if not already registered
   =========================================================================== */

define variable ocxlocation as character no-undo.
DEFINE VARIABLE hInstance   AS INTEGER  NO-UNDO.

/* try to find out if msgblst32.ocx is already registered */
LOAD "TypeLib" BASE-KEY "HKEY_CLASSES_ROOT".
USE "TypeLib".
GET-KEY-VALUE SECTION "~{3E0E9321-C743-11D0-8A5E-0020AFEEAE87~}\1.0\0\win32"
    KEY DEFAULT VALUE ocxlocation.
UNLOAD "TypeLib".
IF ocxlocation<>? THEN
   RETURN.  /* because it is already registered */

FILE-INFO:FILE-NAME = "proed4w/msgblst32.ocx".
ocxlocation = FILE-INFO:FULL-PATHNAME.
IF ocxlocation = ? THEN RETURN.

/* ok, register it */
RUN LoadLibraryA (ocxlocation, OUTPUT hInstance).
RUN DllRegisterServer.
RUN FreeLibrary(hInstance).

procedure LoadLibraryA external "kernel32.dll" :
  define input parameter lpName as char no-undo.
  define return parameter hInstance as LONG. 
end procedure.
        
procedure FreeLibrary external "kernel32.dll" :
  define input parameter hInstance as LONG.
end procedure.

PROCEDURE DllRegisterServer EXTERNAL "msgblst32.ocx" :
END PROCEDURE.
